/*
* ug-bluetooth-efl
*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Contact: Hocheol Seo <hocheol.seo@samsung.com>
*           GirishAshok Joshi <girish.joshi@samsung.com>
*           DoHyun Pyun <dh79.pyun@samsung.com>
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.tizenopensource.org/license
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __BT_STRING_DEFINE_H__
#define __BT_STRING_DEFINE_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Not included in excel file, but it exist in STMS */
#define BT_STR_ALLOW_TO_DELETE_YOUR_FILE_Q \
	_("IDS_BT_BODY_ALLOW_PS_TO_DELETE_YOUR_FILE_Q")
#define BT_STR_ALLOW_TO_GET_YOUR_FILE_Q \
	_("IDS_BT_BODY_ALLOW_PS_TO_GET_YOUR_FILE_Q")
#define BT_STR_ALLOW_TO_PUT_A_FILE_IN_Q \
	_("IDS_BT_BODY_ALLOW_PS_TO_PUT_A_FILE_IN_Q")
#define BT_STR_ALWAYS_ON _("IDS_BT_BODY_ALWAYS_ON")
#define BT_STR_CANCELLED _("IDS_BT_BODY_CANCELLED")
#define BT_STR_CONTACT_ALREADY_EXISTS \
	_("IDS_BT_BODY_CONTACT_ALREADY_EXISTS")
#define BT_STR_FILE_SENT _("IDS_BT_BODY_FILE_SENT")
#define BT_STR_HEADSET _("IDS_BT_BODY_HEADSET")
#define BT_STR_INVALID_TIME_ENTER_NUMBER_BETWEEN_1_AND_60 \
	_("IDS_BT_BODY_INVALID_TIME_ENTER_NUMBER_BETWEEN_1_AND_60")
#define BT_STR_MINUTE _("IDS_BT_BODY_MINUTE_LC")
#define BT_STR_MY_PHONES_NAME _("IDS_BT_BODY_MY_PHONES_NAME")
#define BT_STR_MY_PHONES_VISIBILITY _("IDS_BT_BODY_MY_PHONES_VISIBILITY")
#define BT_STR_NO_MORE_CONNECTIONS_POSSIBLE \
	_("IDS_BT_BODY_NO_MORE_CONNECTIONS_POSSIBLE_VODA")
#define BT_STR_PAIRED_DEVICES _("IDS_BT_BODY_PAIRED_DEVICES")
#define BT_STR_PRINTER _("IDS_BT_BODY_PRINTER")
#define BT_STR_RECEIVCED _("IDS_BT_BODY_RECEIVED")
#define BT_STR_SERVICES _("IDS_BT_BODY_SERVICES")
#define BT_STR_UPDATING _("IDS_BT_BODY_UPDATING_ING")
#define BT_STR_BLUETOOTH_DEVICES _("IDS_BT_HEADER_BLUETOOTH_DEVICES")
#define BT_STR_ENTER_PIN _("IDS_BT_HEADER_ENTERPIN")
#define BT_STR_NEW_DEVICE _("IDS_BT_HEADER_NEW_DEVICE")
#define BT_STR_PRINTING	 _("IDS_BT_HEADER_PRINTING")
#define BT_STR_CONNECT_STEREO _("IDS_BT_OPT_CONNECT_STEREO")
#define BT_STR_DOWNLOAD _("IDS_BT_OPT_DOWNLOAD")
#define BT_STR_PC _("IDS_BT_OPT_PC")
#define BT_STR_PRINT _("IDS_BT_OPT_PRINT")
#define BT_STR_SEARCH_OPTIONS _("IDS_BT_OPT_SEARCH_OPTIONS")
#define BT_STR_ALLOW_PS_TO_CONNECT_Q _("IDS_BT_POP_ALLOW_PS_TO_CONNECT_Q")
#define BT_STR_BLUETOOTH_ERROR_TRY_AGAIN_Q \
	_("IDS_BT_POP_BLUETOOTH_ERROR_TRY_AGAIN_Q")
#define BT_STR_BLUETOOTH_TIMEOUT_TRY_AGAIN_Q \
	_("IDS_BT_POP_BLUETOOTH_TIMEOUT_TRY_AGAIN_Q")
#define BT_STR_CONFIRM_PASSKEY_IS_PS_TO_PAIR_WITH_PS \
	_("IDS_BT_POP_CONFIRM_PASSKEY_IS_PS_TO_PAIR_WITH_PS")
#define BT_STR_UNABLE_TO_CONNECT_TRY_Q _("IDS_BT_POP_CONNECTAGAIN")
#define BT_STR_DELETE_QUESTION _("IDS_BT_POP_DELETE_Q")
#define BT_STR_DELETING _("IDS_BT_POP_DELETING_ING")
#define BT_STR_DEVICE_DELETED _("IDS_BT_POP_DEVICEDELETED")
#define BT_STR_DOWNLOADED _("IDS_BT_POP_DOWNLOADED")
#define BT_STR_DOWNLOADING_FAILED _("IDS_BT_POP_DOWNLOADING_FAILED")
#define BT_STR_DOWNLOADING _("IDS_BT_POP_DOWNLOADING_ING")
#define BT_STR_ENTER_DEVICE_NAME _("IDS_ST_POP_ENTER_DEVICE_NAME")
#define BT_STR_ENTER_NUMBER_BETWEEN_PD_AND_PD \
	_("IDS_BT_POP_ENTER_NUMBER_BETWEEN_PD_AND_PD")
#define BT_STR_INCORRECT_PIN_TRY_AGAIN_Q \
	_("IDS_BT_POP_INCORRECT_PIN_TRY_AGAIN_Q")
#define BT_STR_PD_FILES_RECEIVED _("IDS_BT_POP_PD_FILES_RECEIVED")
#define BT_STR_SENDING_CANCELLED _("IDS_BT_POP_SENDINGCANCEL")
#define BT_STR_UNABLE_TO_SEND _("IDS_BT_POP_SENDINGFAIL")
#define BT_STR_SERIAL_CONNECT_WITH_PS_Q _("IDS_BT_POP_SERIAL_CONNECT_WITH_PS_Q")
#define BT_STR_FILE_RECEIVED _("IDS_BT_POP_SUBFILERECEIVED")
#define BT_STR_UNABLE_TO_GET_SERVICE_LIST \
	_("IDS_BT_POP_UNABLE_TO_GET_SERVICE_LIST")
#define BT_STR_CONNECT _("IDS_BT_SK_CONNECT")
#define BT_STR_DISCONNECT _("IDS_BT_SK_DISCONNECT")
#define BT_STR_DISCONNECT_DEVICE _("IDS_BT_HEADER_DISCONNECT_DEVICE_ABB")
#define BT_STR_DOWNLOAD_CANCELLED _("IDS_BR_POP_DOWNLOAD_CANCELLED")
#define BT_STR_SEARCHING _("IDS_BT_BODY_SEARCHINGDEVICE")
#define BT_STR_CONNECTED _("IDS_BT_SBODY_CONNECTED_M_STATUS")
#define BT_STR_DEVICE_NAME _("IDS_BT_BODY_DEVICENAME")
#define BT_STR_NO_DEVICE _("IDS_BT_BODY_NO_DEVICES")
#define BT_STR_GETTING_SERVICE_LIST _("IDS_BT_POP_GETTINGSERVICELIST")
#define BT_STR_HEADSET_INFO _("IDS_BT_BODY_INFOHEADSET")
#define BT_STR_SELECT_DEVICES _("IDS_BT_HEADER_SELECT_DEVICE")

#define BT_STR_CONNECT_TO_DEVICE \
	_("IDS_BT_BODY_CONNECT_TO_BLUETOOTH_DEVICE")

#define BT_STR_UNABLE_TO_GET_THE_SERVICE_LIST \
	_("IDS_BT_POP_UNABLE_TO_GET_SERVICE_LIST")

#define BT_STR_FLIGHT_MODE \
	_("IDS_BT_POP_UNABLE_TO_ACTIVATE_BLUETOOTH_WHEN_FLIGHT_MODE_IS_ON")

#define BT_STR_CONNECTED_PHONE_AND_MEDIO_AUDIO \
	_("IDS_BT_BODY_CONNECTED_TO_PHONE_AND_MEDIA_AUDIO")

#define BT_STR_CONNECTED_PHONE_AUDIO \
	_("IDS_BT_BODY_CONNECTED_TO_PHONE_AUDIO")

#define BT_STR_CONNECTED_MEDIA_AUDIO \
	_("IDS_BT_BODY_CONNECTED_TO_MEDIA_AUDIO")

#define BT_STR_CONNECTED_HID_DEVICE \
	_("IDS_BT_POP_CONNECTED_TO_HID_DEVICE")

#define BT_STR_SCANNING \
	_("IDS_BT_BODY_SCANNING_FOR_DEVICES_ING")

#define BT_STR_SCAN \
	_("IDS_BT_SK_SCAN")


#define BT_STR_SVC_HEADSET  _("IDS_BT_BODY_HEADSET")
#define BT_STR_SVC_HEADSET_D _("IDS_BT_BODY_INFOHEADSET")

#define BT_STR_SVC_HF  _("IDS_BT_BODY_HANDSFREE")
#define BT_STR_SVC_HF_D _("IDS_BT_BODY_INFOHANDSFREE")

#define BT_STR_SVC_STEREO  _("IDS_BT_OPT_STEREO_HEADSET")
#define BT_STR_SVC_STEREO_D _("IDS_BT_BODY_INFOAVHEADSET")

#define BT_STR_SVC_FT  _("IDS_ST_BODY_TRANSFER_FILES")
#define BT_STR_SVC_FT_D _("IDS_BT_BODY_INFOFILETRANSFER")

#define BT_STR_SVC_OP  _("IDS_BT_BODY_OBJECT_PUSH")
#define BT_STR_SVC_OP_D _("IDS_BT_BODY_INFOOBJECTPUSH")

#define BT_STR_SVC_BPP  _("IDS_BT_BODY_BASIC_PRINTING")
#define BT_STR_SVC_BPP_D  _("IDS_BT_BODY_PRINTER_SERVICEINFO")

#define BT_STR_SVC_DUN  _("IDS_BT_BODY_DIAL_UP_NETWORKING")
#define BT_STR_SVC_DUN_D _("IDS_BT_BODY_INFODIALUP")

#define BT_STR_SVC_HID  _("IDS_BT_POP_HID_DEVICE")
#define BT_STR_SVC_HID_D _("IDS_BT_BODY_HID_HKEYBOARD_MOUSE_ETC")

#define BT_STR_SVC_SPP _("IDS_BT_BODY_SERIAL_PORT")

#define BT_STR_SVC_SPP_D  \
	_("IDS_BT_BODY_THIS_IS_USED_TO_CONNECT_TO_OTHER_BLUETOOTH_DEVICES_VIA_A_VIRTUAL_SERIAL_PORT")

#define BT_STR_CONNECTION_EXISTS \
	_("IDS_BT_POP_FAILED_TO_CONNECT_HEADSET_OTHER_DEVICE_REFUSED_CONNECTION")

#define BT_STR_VISIBLE_TO_ALL_NEARBY _("IDS_ST_BODY_VISIBLE_TO_ALL_NEARBY_BLUETOOTH_DEVICES")
#define BT_STR_ONLY_VISIBLE_TO_PAIRED_DEVICES _("IDS_BT_SBODY_ONLY_VISIBLE_TO_PAIRED_BLUETOOTH_DEVICES_ABB")
#define BT_STR_VISIBLE _("IDS_BT_POP_VISIBILITY_TIMEOUT")
#define BT_STR_TWO_MINUTES _("IDS_BT_BODY_2_MINUTES")
#define BT_STR_UNPAIR _("IDS_BT_OPT_UNPAIR")
#define BT_STR_CONNECTION_OPTIONS _("IDS_BT_BODY_CONNECTION_OPTIONS")
#define BT_STR_CALL_AUDIO _("IDS_BT_BODY_CALL_AUDIO")
#define BT_STR_MEDIA_AUDIO _("IDS_BT_BODY_MEDIA_AUDIO")
#define BT_STR_PS_REMAINING _("IDS_BT_BODY_PS_REMAINING")
#define BT_STR_PSD_PSD_REMAINING _("IDS_BT_MBODY_P1SD_CP2SD_REMAINING")
#define BT_STR_TAP_TO_CONNECT _("IDS_BT_BODY_TAP_TO_CONNECT")
#define BT_STR_TAP_TO_DISCONNECT _("IDS_BT_BODY_TAP_TO_DISCONNECT")
#define BT_STR_AVAILABLE_DEVICES _("IDS_BT_BODY_AVAILABLE_DEVICES")
#define BT_STR_FIVE_MINUTES _("IDS_BT_BODY_5_MINUTES")
#define BT_STR_ONE_HOUR _("IDS_BT_BODY_1_HOUR")
#define BT_STR_DISCONNECTING _("IDS_BT_BODY_DISCONNECTING")
#define BT_STR_END_CONNECTION _("IDS_WMGR_POP_THIS_WILL_END_YOUR_CONNECTION_WITH_PS")
#define BT_STR_DISCONNECT_P_FROM_THE_P_CONNECTION \
		_("IDS_BT_BODY_DISCONNECT_P2SS_FROM_THE_P1SS_CONNECTION_Q")
#define BT_STR_DISCONNECT_Q _("IDS_BT_POP_DISCONNECT")
#define BT_STR_DETAILS _("IDS_BT_BODY_DETAILS")
#define BT_STR_INPUT_DEVICE _("IDS_BT_BODY_INPUT_DEVICE")
#define BT_STR_NO_DEVICE_FOUND _("IDS_BT_BODY_NO_DEVICES_FOUND_ABB")
#define BT_STR_PAIRED _("IDS_BT_BODY_PAIRED")
#define BT_STR_SEARCHING_SERVICES _("IDS_BT_POP_SEARCHING_SERVICES_ING")
#define BT_STR_RENAME_DEVICE_TITLE _("IDS_ST_HEADER_RENAME_DEVICE")
#define BT_STR_RENAME_DEVICE_LABEL \
	_("IDS_BT_POP_DEVICE_NAMES_ARE_DISPLAYED_TO_DISTINGUISH_EACH_OF_THE_DEVICES_AVAILABLE_IN_THE_NEARBY_DEVICES_LIST_AND_VIA_BLUETOOTH_AND_OTHER_METHODS")
#define BT_STR_BLUETOOTH_ERROR 	_("IDS_BT_HEADER_BLUETOOTH_ERROR_ABB")
#define BT_STR_MAX_CHARACTER_REACHED _("IDS_CLOG_POP_MAXIMUM_NUMBER_OF_CHARACTERS_HPD_REACHED")
#define BT_STR_NAME_IN_USE _("IDS_YSM_POP_THIS_NAME_IS_ALREADY_IN_USE_NENTER_ANOTHER_NAME")
#define BT_STR_BLUETOOTH_TETHERING_CONNECTION_ERROR _("IDS_MOBILEAP_POP_UNABLE_TO_USE_BLUETOOTH_TETHERING_WHILE_CONNECTED_TO_WI_FI_NETWORK")

/* We need to change this design ID */
#define BT_STR_INTERNET_ACCESS _("IDS_BT_BODY_INTERNET_ACCESS_ABB2")

/* System string */
#define BT_STR_SEARCH _("IDS_BT_OPT_SEARCH")
#define BT_STR_STOP _("IDS_BT_SK4_STOP")
#define BT_STR_DONE _("IDS_BR_SK_DONE")
#define BT_STR_OK _("IDS_BT_BUTTON_OK")
#define BT_STR_CANCEL _("IDS_BR_SK_CANCEL")
#define BT_STR_RENAME _("IDS_BT_OPT_RENAME")
#define BT_STR_NO _("IDS_BR_SK_NO")
#define BT_STR_BLUETOOTH _("IDS_BT_HEADER_BLUETOOTH")
#define BT_STR_LOW_BATTERY _("IDS_ST_BODY_LEDOT_LOW_BATTERY")
#define BT_STR_OFF _("IDS_BT_BUTTON_OFF")
#define BT_STR_PHONE _("IDS_BT_OPT_PLAYVIAPHONE")

#define BT_STR_RETRY _("IDS_ST_BUTTON_RETRY")
#define BT_STR_INCORRECT_PIN_MESSAGE _("IDS_BT_POP_AN_INCORRECT_PIN_HAS_BEEN_ENTERED_TRY_AGAIN")
#define BT_STR_UNABLE_TO_PAIR_WITH_PS _("IDS_BT_POP_UNABLE_TO_PAIR_WITH_PS")
#define BT_STR_UNABLE_TO_CONNECT_TO_PS _("IDS_BT_POP_UNABLE_TO_CONNECT_TO_PS")

#define BT_STR_CONNECTING _("IDS_BT_SBODY_CONNECTING_ING")
#define BT_STR_BLUETOOTH_HELP _("IDS_BT_OPT_HELP")
#define BT_STR_BLUETOOTH_CLOSE _("IDS_CAM_SK_CLOSE")
#define BT_STR_MORE _("IDS_BT_BUTTON_MORE")

/* Below needs to be added to PO files for use in bt-syspopup */
#define BT_STR_RECEIVE_PS_FROM_PS_Q _("IDS_BT_POP_RECEIVE_PS_FROM_PS_Q?")
#define BT_STR_OVERWRITE_FILE_Q _("IDS_BT_POP_PS_ALREADY_EXISTS_OVERWRITE_Q")
#define BT_STR_PASSKEY_MATCH_Q _("IDS_BT_POP_MATCH_PASSKEYS_ON_PS_Q?")
#define BT_STR_ENTER_PS_ON_PS_TO_PAIR \
	_("IDS_BT_BODY_ENTER_P1SS_ON_P2SS_TO_PAIR_THEN_TAP_RETURN_OR_ENTER")

#define BT_STR_RECEIVE_FILE_FROM_PS_Q \
	_("IDS_BT_POP_RECEIVE_FILE_FROM_PS_Q")

#define BT_STR_BLUETOOTH_PAIRING_REQUEST \
	_("IDS_BT_HEADER_BLUETOOTH_PAIRING_REQUEST")

#define BT_STR_SHOW_PASSWORD \
	_("IDS_BT_BODY_SHOW_PASSWORD")

/* Below needs to be added to PO files for use in bluetooth-share-ui */
#define BT_STR_SHARING_FN  _("IDS_BT_POP_SHARING_ING")

/* Below needs to be added to PO files for use in bluetooth-share */
#define BT_STR_FILE_EXSIST_MSG	_("IDS_BT_POP_PS_ALREADY_EXISTS_OVERWRITE_Q")
#define BT_STR_FILE_DELETE_AUTHORIZE_MSG	_("Delete %s by %s ?")
#define BT_STR_SENDING _("IDS_BT_POP_SENDING_ING")
#define BT_STR_RECEIVING _("IDS_BT_POP_RECEIVING")
#define BT_STR_MEMORY_FULL _("IDS_BT_POP_MEMORYFULL")

/* Below needs to be added to PO files for use in beat-bluetooth */
#define BT_STR_BLUETOOTH_ON		_("IDS_BT_POP_ACTIVATED")
#define BT_STR_BLUETOOTH_AVAILABLE	_("IDS_BT_BODY_BLUETOOTH_AVAILABLE")

/* String access info */
#define BT_STR_DOUBLE_TAP_RENAME _("Double Tap to rename")
#define BT_STR_DOUBLE_TAP_UNPAIR _("Double Tap to unpair device")
#define BT_STR_RADIO_BUTTON _("IDS_TPLATFORM_BODY_RADIO_BUTTON_T_TTS")
#define BT_STR_RADIO_SELECTED _("IDS_TPLATFORM_BODY_SELECTED_T_TTS")
#define BT_STR_RADIO_UNSELECTED _("IDS_TPLATFORM_BODY_NOT_SELECTED_T_TTS")
#define BT_STR_EXP_LIST _("Expandable list")
#define BT_STR_EXP_LIST_OPEN _("IDS_ST_BODY_DOUBLE_TAP_TO_OPEN_THE_LIST_T_TTS")
#define BT_STR_EXP_LIST_CLOSE _("IDS_ST_BODY_DOUBLE_TAP_TO_CLOSE_THE_LIST_T_TTS")
#define BT_STR_ON_OFF_BUTTON _("IDS_TPLATFORM_BODY_ON_OFF_BUTTON_T_TTS")
#define BT_STR_MORE_BUTTON _("More button")
#define BT_STR_DOUBLE_TAP_CONNECT _("Double tap to connect")
#define BT_STR_DOUBLE_TAP_CONNECT_D _("Double tap to connect device")
#define BT_STR_DOUBLE_TAP_DISCONNECT_D _("Double tap to disconnect device")
#define BT_STR_CAMERA _("IDS_TPLATFORM_BODY_CAMERA")
#define BT_STR_DISPLAY _("Display device")
#define BT_STR_KEYBOARD _("IDS_BT_OPT_KEYBOARD")
#define BT_STR_MOUSE _("Mouse")
#define BT_STR_GAMING_DEVICE _("IDS_ST_BODY_GAME_CONTROLLER")
#define BT_STR_HEALTH_DEVICE _("Health device")
#define BT_STR_COMPUTER _("IDS_BT_OPT_COMPUTER")
#define BT_STR_LAN_ACCESS_POINT _("IDS_BT_OPT_MOBILE_AP")
#define BT_STR_UNKNOWN _("IDS_BT_BODY_UNKNOWNDEVICE")
#define BT_ACC_STR_GROUP_INDEX	_("IDS_TPLATFORM_BODY_GROUP_INDEX")
#define BT_STR_UNAVAILABLE _("IDS_ST_BODY_UNAVAILABLE")
#define BT_STR_MINUTES _("IDS_BT_BODY_MINUTES")
#define BT_STR_SECONDS _("IDS_ST_BODY_SECONDS")
#define BT_STR_1_MINUTE _("IDS_BT_POP_1_MINUTE")
#define BT_STR_1_SECOND _("IDS_ST_BODY_1_SECOND")

/* Help */
#define BT_STR_OPEN_PS_SETTINGS	\
	_("IDS_HELP_BODY_OPEN_PS_SETTINGS")
#define BT_STR_SET_UP_BLUETOOTH	\
	_("IDS_HELP_MBODY_SET_UP_BLUETOOTH")
#define BT_STR_SEND_PICTURES_VIA_BLUETOOTH	\
	_("IDS_HELP_HEADER_SEND_PICTURES_VIA_BLUETOOTH")
#define BT_STR_OPEN_PS_GALLERY		\
	_("IDS_HELP_BODY_OPEN_PS_GALLERY")
#define BT_STR_SELECT_THE_PICTURE_OR_ALBUM_YOU_WANT_TO_SEND		\
	_("IDS_HELP_BODY_SELECT_THE_PICTURE_OR_ALBUM_YOU_WANT_TO_SEND")
#define BT_STR_TAP_THE_SHARE_BUTTON_AND_SELECT_PS_BLUETOOTH		\
	_("IDS_HELP_BODY_TAP_THE_SHARE_BUTTON_AND_SELECT_PS_BLUETOOTH")
#define BT_STR_SELECT_THE_DEVICE_THAT_YOU_WANT_TO_SEND_THE_IMAGE_TO		\
	_("IDS_HELP_BODY_SELECT_THE_DEVICE_THAT_YOU_WANT_TO_SEND_THE_IMAGE_TO")
#define BT_STR_SEND_THE_PICTURE_YOU_CAN_TRACK_ITS_PROGRESS_IN_THE_NOTIFICATION_PANEL		\
	_("IDS_HELP_BODY_SEND_THE_PICTURE_YOU_CAN_TRACK_ITS_PROGRESS_IN_THE_NOTIFICATION_PANEL")
#define BT_STR_MAKE_THE_DEVICE_YOU_ARE_CONNECTING_TO_VISIBLE		\
	_("IDS_HELP_BODY_MAKE_THE_DEVICE_YOU_ARE_CONNECTING_TO_VISIBLE")
#define BT_STR_MAKE_THE_DEVICE_YOU_ARE_CONNECTING_TO_VISIBLE_THEN_TAP_SCAN		\
	_("IDS_HELP_BODY_MAKE_THE_DEVICE_YOU_ARE_CONNECTING_TO_VISIBLE_THEN_TAP_SCAN")
#define BT_STR_TOGGLE_THE_BUTTON_AND_TAP_SCAN_TO_TURN_ON_BLUETOOTH_AND_SCAN_FOR_DEVICES		\
	_("IDS_HELP_BODY_TOGGLE_THE_BUTTON_AND_TAP_SCAN_TO_TURN_ON_BLUETOOTH_AND_SCAN_FOR_DEVICES")
#define BT_STR_SELECT_PS_BLUETOOTH		\
	_("IDS_HELP_BODY_SELECT_PS_BLUETOOTH")
#define BT_STR_SELECT_THE_DEVICE_YOU_WANT_TO_CONNECT_TO_FROM_LIST		\
	_("IDS_HELP_BODY_SELECT_THE_DEVICE_YOU_WANT_TO_CONNECT_TO_FROM_LIST")
#define BT_STR_TAP_THE_DEVICE_YOU_WANT_TO_PAIR_WITH_OR_CONNECT_TO_IF_THE_DEVICE_IS_NOT_IN_THE_LIST_MAKE_SURE_IT_IS_VISIBLE_THEN_TAP_SCAN		\
	_("IDS_HELP_BODY_TAP_THE_DEVICE_YOU_WANT_TO_PAIR_WITH_OR_CONNECT_TO_IF_THE_DEVICE_IS_NOT_IN_THE_LIST_MAKE_SURE_IT_IS_VISIBLE_THEN_TAP_SCAN")
#define BT_STR_PAIRED_WITH_OR_CONNECTED_TO_SELECTED_DEVICE_SUCCESSFULLY_TAP_THE_CONFIGURATION_ICON_TO_CONFIGURE_THE_DEVICE_PROFILE		\
	_("IDS_HELP_POP_PAIRED_WITH_OR_CONNECTED_TO_SELECTED_DEVICE_SUCCESSFULLY_TAP_THE_CONFIGURATION_ICON_TO_CONFIGURE_THE_DEVICE_PROFILE")
#define BT_STR_YOUVE_COMPLETED_THE_STEP_BY_STEP_GUIDE_RETURN_TO_HELP		\
	_("IDS_HELP_POP_YOUVE_COMPLETED_THE_STEP_BY_STEP_GUIDE_RETURN_TO_HELP")
#define BT_STR_TUTORIAL_COMPLETED		\
	_("IDS_HELP_POP_TUTORIAL_COMPLETE")
#define BT_STR_SCANNING_DEVICES_ING		\
	_("IDS_PB_MBODY_SCANNING_DEVICES_ING")
#define BT_STR_INVALID_ACTION_TRY_AGAIN	\
	_("IDS_HELP_POP_INVALID_ACTION_TRY_AGAIN")
#define BT_STR_TURN_ON_BLUETOOTH_TO_SEE_A_LIST_OF_AVAILABLE_DEVICES	\
	_("IDS_BT_BODY_TURN_ON_BLUETOOTH_TO_SEE_A_LIST_OF_DEVICES_YOU_CAN_PAIR_WITH_OR_HAVE_ALREADY_PAIRED_WITH")

#define BT_STR_MY_DEVICE _("IDS_ST_HEADER_MY_DEVICE_NAME")

#define BT_STR_TURNING_ON_BLUETOOTH _("IDS_BT_BODY_TURNING_ON_BLUETOOTH_ING")
#ifdef __cplusplus
}
#endif

#endif /* __BT_STRING_DEFINE_H__ */
