%define _optdir	/opt
%define _usrdir	/usr
%define _appdir	%{_usrdir}/apps/ug-bluetooth-efl/
%define _helpfile help_settings_bluetooth.xml
%define _bindir %{_appdir}/bin/

Name:       ug-bluetooth-efl
Summary:    UI gadget about the bluetooth
Version:    0.2.288
Release:    1
Group:      TO_BE/FILLED_IN
License:    Flora-1.1
Source0:    %{name}-%{version}.tar.gz
Requires(post): vconf
Requires(post): coreutils
BuildRequires: cmake
BuildRequires: edje-tools
BuildRequires: pkgconfig(edje)
BuildRequires: gettext-tools
BuildRequires: pkgconfig(elementary)
BuildRequires: efl-assist-devel
BuildRequires: pkgconfig(bundle)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(edbus)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(eina)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(appcore-efl)
BuildRequires: pkgconfig(syspopup-caller)
BuildRequires: pkgconfig(capi-network-bluetooth)
BuildRequires: pkgconfig(capi-network-connection)
BuildRequires: pkgconfig(capi-system-device)
BuildRequires: pkgconfig(libcore-context-manager)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(notification)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)

%description
UI gadget about the bluetooth

%prep
%setup -q

%build
LDFLAGS="$LDFLAGS -Wl,-z -Wl,nodelete"

export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE"
export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE"

%if "%{?tizen_profile_name}" == "mobile"
export CFLAGS="$CFLAGS -DTIZEN_HID"
%endif

export LDFLAGS
cmake . -DCMAKE_INSTALL_PREFIX=%{_appdir}

make %{?jobs:-j%jobs}

%post
vconftool set -tf int file/private/libug-setting-bluetooth-efl/visibility_time "0" -g 5000 -s system::vconf_network
mkdir -p %{_bindir}

ln -sf /usr/apps/ug-bluetooth-efl/bin/ug-bluetooth-efl /usr/apps/ug-bluetooth-efl/bin/ug-bluetooth-efl-single
ln -sf /usr/apps/ug-bluetooth-efl/lib/ug/libug-bluetooth-efl.so.0.1.0 /usr/apps/ug-bluetooth-efl/lib/ug/libug-bluetooth-efl-single.so

%install
rm -rf %{buildroot}
%make_install
install -D -m 0644 LICENSE %{buildroot}%{_datadir}/license/ug-bluetooth-efl


%files
%manifest ug-bluetooth-efl.manifest
/etc/smack/accesses.d/ug-bluetooth.efl
%defattr(-,root,root,-)
%{_appdir}/res/edje/*.edj
%{_appdir}/shared/res/locale/*/LC_MESSAGES/ug-bluetooth-efl.mo
%{_appdir}/res/images/*
%{_appdir}/res/help/*
%{_appdir}/lib/ug/libug-bluetooth-efl.so.0.1.0
%{_appdir}/lib/ug/libug-bluetooth-efl.so
%ifarch i586
%exclude %{_usrdir}/share/packages/ug-bluetooth-efl.xml
%else
%{_usrdir}/share/packages/ug-bluetooth-efl.xml
%endif

%{_usrdir}/share/icons/default/small/ug-bluetooth-efl.png
%{_datadir}/license/ug-bluetooth-efl
%{_appdir}/res/tables/ug-bluetooth-efl_ChangeableColorTable.xml
%{_appdir}/res/tables/ug-bluetooth-efl_FontInfoTable.xml

